/*
 File: lr1_pa2.cpp
 Date and Time: Mon Oct 13 18:18:14 2014 
*/
#include "lr1_pa2.h"
using namespace NS_yacco2_T_enum;// enumerate
using namespace NS_yacco2_err_symbols;// error symbols
using namespace NS_yacco2_k_symbols;// lrk 
using namespace NS_yacco2_terminals;// terminals
using namespace NS_yacco2_characters;// rc 
using namespace yacco2;// yacco2 library
using namespace NS_lr1_pa2;// grammar's ns
// first set terminals
fsm_rules_reuse_table_type::fsm_rules_reuse_table_type(){
 no_rules_entries_ = 4;
 per_rule_s_table_[0] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[1] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[2] =  new Per_rule_s_reuse_table();
 per_rule_s_table_[3] =  new Per_rule_s_reuse_table();
}
  Clr1_pa2_rul_fsm::
  Clr1_pa2_rul_fsm()
    :yacco2::CAbs_fsm
      ("lr1_pa2.lex"
      ,"1.0"
      ,"8-oct-96"
      ,true
      ,"test out lr1"
      ,"Mon Oct 13 18:18:14 2014 "
      ,S1_Clr1_pa2_rul_fsm){
    
  }
 
Clr1_pa2_rul_fsm::~Clr1_pa2_rul_fsm(){

  for(int x = 0;x < 4;++x){
   ///delete fsm_rules_reuse_table.per_rule_s_table_[x];
  }
} 

  bool Clr1_pa2_rul_fsm::failed(){
      return false;
  }
  void Clr1_pa2_rul_fsm::op(){
}
int Clr1_pa2_rul_fsm::rhs_to_rules_mapping_[8] = {
 -1
 ,0 // subrule 1 for rule 1
 ,1 // subrule 2 for rule 2
 ,1 // subrule 3 for rule 2
 ,1 // subrule 4 for rule 2
 ,1 // subrule 5 for rule 2
 ,2 // subrule 6 for rule 3
 ,3 // subrule 7 for rule 4
}; 
Rlr1_pa2::Rlr1_pa2(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("Rlr1_pa2",0,Clr1_pa2_rul_fsm::R_Rlr1_pa2_,P,false,false){
}

RX::RX(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RX",0,Clr1_pa2_rul_fsm::R_RX_,P,false,false){
}

RY::RY(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RY",0,Clr1_pa2_rul_fsm::R_RY_,P,false,false){
}

RZ::RZ(yacco2::Parser* P)
 :CAbs_lr1_sym
  ("RZ",0,Clr1_pa2_rul_fsm::R_RZ_,P,false,false){
}

